summaryrefslogtreecommitdiff
path: root/usr.bin
diff options
context:
space:
mode:
authorFederico G. Schwindt <fgsch@cvs.openbsd.org>2004-02-02 22:36:51 +0000
committerFederico G. Schwindt <fgsch@cvs.openbsd.org>2004-02-02 22:36:51 +0000
commit255d24a12661e1db1e450c63c6b7b00a31f21c44 (patch)
treef8cd2e2351e565d89227132e85d1dadc3e263bb1 /usr.bin
parent09a7829b3f4aed9c7c1cf6bae2f5931a386187ee (diff)
trap SIGHUP, SIGINT and SIGTERM as well; input and ok millert@.
Diffstat (limited to 'usr.bin')
-rw-r--r--usr.bin/spell/spell.ksh4
1 files changed, 2 insertions, 2 deletions
diff --git a/usr.bin/spell/spell.ksh b/usr.bin/spell/spell.ksh
index ba7f577b2e1..00d571356ce 100644
--- a/usr.bin/spell/spell.ksh
+++ b/usr.bin/spell/spell.ksh
@@ -1,6 +1,6 @@
#!/bin/ksh -
#
-# $OpenBSD: spell.ksh,v 1.7 2003/07/10 02:25:38 millert Exp $
+# $OpenBSD: spell.ksh,v 1.8 2004/02/02 22:36:50 fgsch Exp $
#
# Copyright (c) 2001, 2003 Todd C. Miller <Todd.Miller@courtesan.com>
#
@@ -40,7 +40,7 @@ USAGE="usage: spell [-biltvx] [-d list] [-h spellhist] [-s stop] [+extra_list] [
set -o posix # set POSIX mode to prevent +foo in getopts
OPTIND=1 # force getopts to reset itself
-trap "rm -f $TMP $VTMP; exit 0" 0
+trap "rm -f $TMP $VTMP; exit 0" 0 1 2 15
# Use local word/stop lists if they exist
if [ -f $LOCAL_DICT ]; then